#!/bin/sh
bleu="\033[01;34m"
rouge="\033[01;31m"
blanc="\033[01;37m"

grep "nan" -l *.vtk > verification_nan.log

#echo "Vérification :"
nbnan=`cat verification_nan.log | wc -l`

if [ "$nbnan" = "0" ]
then
	echo "${bleu}Il semblerait que la simulation se soit bien déroulée [aucun 'nan' n'a été trouvé dans les fichiers *.vtk générés {$nbnan}]$blanc\n"
else
	echo "${rouge}/!\ Il semblerait que la simulation se soit mal déroulée [des 'nan' n'a été trouvé dans les {$nbnan} fichiers *.vtk générés suivant :]$blanc\n"
	grep "nan" -l *.vtk # réécrit en couleurs !
fi

#echo "Tu as gagné si le nombre écrit plus haut vaut 0"

#			//////////////////////////////////////////////////////////////////
#			//	Lilian BESSON		[(c) et (r) Naereen Corp.]	//
#			//		 ENS de Cachan & LSV & CMLA - Juin 2012		//
#			//////////////////////////////////////////////////////////////////
